Functions
dns.cpp File Reference

A WWW to DNS gateway. More...

`#include <cstdlib>`
`#include <new>`
`#include <vector>`
`#include <stdexcept>`
`#include <iostream>`
`#include <stdio.h>`
`#include <memory.h>`
`#include "cgicc/CgiDefs.h"`
`#include "cgicc/Cgicc.h"`
`#include "cgicc/HTTPHTMLHeader.h"`
`#include "cgicc/HTMLClasses.h"`
`#include <sys/types.h>`
`#include <sys/socket.h>`
`#include <netinet/in.h>`
`#include <arpa/inet.h>`
`#include <netdb.h>`
`#include "styles.h"`

Go to the source code of this file.

## Functions
int | main (int, char **)

## Detailed Description

A WWW to DNS gateway.

A sample CGI application using the GNU cgicc library. This script allows users to lookup the IP address corresponding to a hostname, or vice-versa.

Definition in file dns.cpp.

## Function Documentation

## ◆ main()

int main | ( | int | ,
|  | char ** |
| ) |  |

Definition at line 69 of file dns.cpp.